> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get active containment actions for an asset



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/asset/containment-status/{assetType}/{id}
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/asset/containment-status/{assetType}/{id}:
    get:
      tags:
        - Asset
      summary: Get active containment actions for an asset
      operationId: AssetController_getContainmentStatus
      parameters:
        - name: assetType
          required: true
          in: path
          description: Asset type (endpoint, directory_user, file)
          schema:
            enum:
              - directory_user
              - endpoint
              - file
            type: string
        - name: id
          required: true
          in: path
          description: Asset identifier
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContainmentStatusResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ContainmentStatusResponseDto:
      type: object
      properties:
        activeActions:
          description: List of currently active containment actions
          type: array
          items:
            $ref: '#/components/schemas/ActiveContainmentActionDto'
      required:
        - activeActions
    ActiveContainmentActionDto:
      type: object
      properties:
        subAction:
          type: string
          description: The specific sub-action that is active
        integrationId:
          type: string
          description: Integration that performed the action
        containedAt:
          type: string
          description: When the containment action was performed
      required:
        - subAction
        - containedAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````